Freeciv-3.1: research::research_invention Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
research::research_invention Struct Reference

`#include <research.h>`

## Data Fields

enum tech_state | state
bool | reachable
bool | root_reqs_known
bv_techs | required_techs
int | num_required_techs
int | bulbs_required
int | bulbs_researched_saved

## Detailed Description

Definition at line 71 of file research.h.

## Field Documentation

## ◆ bulbs_required

int research::research_invention::bulbs_required

Definition at line 80 of file research.h.

Referenced by research_goal_bulbs_required(), and research_update().

## ◆ bulbs_researched_saved

int research::research_invention::bulbs_researched_saved

Definition at line 80 of file research.h.

Referenced by choose_tech(), researches_init(), sg_load_researches(), split_player(), tech_researched(), and update_bulbs().

## ◆ num_required_techs

int research::research_invention::num_required_techs

Definition at line 80 of file research.h.

Referenced by research_goal_unknown_techs(), research_update(), science_report_update(), and science_report::update_report().

## ◆ reachable

bool research::research_invention::reachable

Definition at line 77 of file research.h.

Referenced by research_invention_reachable(), and research_update().

## ◆ required_techs

bv_techs research::research_invention::required_techs

Definition at line 79 of file research.h.

Referenced by research_goal_tech_req(), and research_update().

## ◆ root_reqs_known

bool research::research_invention::root_reqs_known

Definition at line 78 of file research.h.

Referenced by research_invention_gettable(), and research_update().

## ◆ state

enum tech_state research::research_invention::state

Definition at line 73 of file research.h.

Referenced by init_tech(), package_research_info(), research_get_reachable_rreqs(), research_invention_gettable(), research_invention_set(), research_invention_state(), research_update(), researches_init(), science_report_update(), side_right_click_science(), and science_report::update_report().